var ss = require("simple-storage");
var tabs = require("tabs");
var data = require("self").data;
var panel = require("panel").Panel({
    contentURL: data.url("options.html"),
    contentScriptFile: data.url("optionScript.js"),
    width: 640,
    height: 480
});

panel.on("message", function handleMyEvent(messageData) {
    ss.storage.user=messageData[0];
    ss.storage.pass=messageData[1];
});

tabs.on('ready', function(tab) {
    worker = tab.attach({
        contentScriptFile: data.url("inject.js")
    });
    worker.port.on("grabData", function handleMyEvent(myEventPayload) {
        if(ss.storage.user && ss.storage.pass)
            worker.port.emit("sendData",[ss.storage.user,ss.storage.pass]);
    });
});

require("widget").Widget({
    id: "widgetID1",
    label: "My Mozilla Widget",
    contentURL: data.url("icon16.ico"),
    onClick: function(event) {
        panel.show();
    }
});